y have a problem to install virtualmin

paste log installation

INFO - 2008-12-24 01:56:16 - Started installation log in /root/virtualmin-install.log
DEBUG - 2008-12-24 01:56:16 - Install mode: full
DEBUG - 2008-12-24 01:56:16 - Virtualmin Meta-Package list: virtualmin-base
DEBUG - 2008-12-24 01:56:16 - install.sh version: EA5.0
INFO - 2008-12-24 01:56:16 - Checking for fully qualified hostname…
INFO - 2008-12-24 01:56:16 - Hostname OK: fully qualified as terra1.terragamer.net
INFO - 2008-12-24 01:56:16 - Installing serial number and license key into /etc/virtualmin-license
INFO - 2008-12-24 01:56:16 - Loading OS selection library…
INFO - 2008-12-24 01:56:20 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - 2008-12-24 01:56:20 - Loading OS list…
INFO - 2008-12-24 01:56:24 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - 2008-12-24 01:56:24 - Operating system name: CentOS Linux
INFO - 2008-12-24 01:56:24 - Operating system version: 5.2
INFO - 2008-12-24 01:56:24 - Configuring package manager for CentOS Linux 5.2…
INFO - 2008-12-24 01:56:24 - Disabling SELinux during installation…
INFO - 2008-12-24 01:56:24 - setenforce 0 failed: 1
INFO - 2008-12-24 01:56:29 - Download of http://software.virtualmin.com/gpl/rhel/5.2/x86_64/virtualmin-release-latest.noarch.rpm Succeeded.
INFO - 2008-12-24 01:56:30 - Succeeded.
INFO - 2008-12-24 01:56:30 - Installing dependencies using command: /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay
Setting up Install Process
Parsing package install arguments
Package bind - 30:9.3.4-6.0.2.P1.el5_2.x86_64 is already installed.
Package bind-utils - 30:9.3.4-6.0.2.P1.el5_2.x86_64 is already installed.
Package caching-nameserver - 30:9.3.4-6.0.2.P1.el5_2.x86_64 is already installed.
Package httpd - 1:2.2.3-11.el5.3vm.x86_64 is already installed.
Package postfix - 2:2.3.3-2.1.el5_2.x86_64 is already installed.
Package bind - 30:9.3.4-6.0.2.P1.el5_2.x86_64 is already installed.
Package spamassassin - 3.2.4-1.el5.x86_64 is already installed.
Package procmail - 3.22-17.1.el5.centos.x86_64 is already installed.
Package perl-DBD-Pg - 1.49-1.fc6.x86_64 is already installed.
Package perl-DBD-MySQL - 3.0007-1.fc6.x86_64 is already installed.
Package quota - 1:3.13-1.2.3.2.el5.x86_64 is already installed.
Package iptables - 1.3.5-4.el5.x86_64 is already installed.
Package openssl - 0.9.8b-10.el5.i686 is already installed.
Package openssl - 0.9.8b-10.el5.x86_64 is already installed.
Package python - 2.4.3-21.el5.x86_64 is already installed.
Package mailman - 3:2.1.9-4.el5.x86_64 is already installed.
Package subversion - 1.4.2-2.el5.i386 is already installed.
Package subversion - 1.4.2-2.el5.x86_64 is already installed.
Package mysql - 5.0.45-7.el5.i386 is already installed.
Package mysql - 5.0.45-7.el5.x86_64 is already installed.
Package mysql-server - 5.0.45-7.el5.x86_64 is already installed.
Package mysql-devel - 5.0.45-7.el5.x86_64 is already installed.
Package mysql-devel - 5.0.45-7.el5.i386 is already installed.
Package postgresql - 8.1.11-1.el5_1.1.x86_64 is already installed.
Package postgresql-server - 8.1.11-1.el5_1.1.x86_64 is already installed.
No package rh-postgresql available.
No package rh-postgresql-server available.
Package logrotate - 3.7.4-8.x86_64 is already installed.
Package webalizer - 2.01_10-30.1.x86_64 is already installed.
Package php - 5.1.6-20.el5_2.1.x86_64 is already installed.
No package php-domxl available.
Package php-gd - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package php-imap - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package php-mysql - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package php-odbc - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package php-pear - 1:1.4.9-4.el5.1.noarch is already installed.
Package php-pgsql - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package php-snmp - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package php-xmlrpc - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package php-mbstring - 5.1.6-20.el5_2.1.x86_64 is already installed.
Package mod_perl - 2.0.2-6.3.el5.x86_64 is already installed.
Package mod_python - 3.2.8-3.1.x86_64 is already installed.
Package cyrus-sasl - 2.1.22-4.x86_64 is already installed.
Package cyrus-sasl - 2.1.22-4.i386 is already installed.
Package dovecot - 1.0.7-2.el5.x86_64 is already installed.
Package spamassassin - 3.2.4-1.el5.x86_64 is already installed.
Package mod_dav_svn - 1.4.2-2.el5.x86_64 is already installed.
Package cyrus-sasl-gssapi - 2.1.22-4.i386 is already installed.
Package cyrus-sasl-gssapi - 2.1.22-4.x86_64 is already installed.
Package mod_ssl - 2:2.2.3-11.el5.3vm.x86_64 is already installed.
Package ruby - 1.8.5-5.el5_2.6.x86_64 is already installed.
Package ruby-devel - 1.8.5-5.el5_2.6.i386 is already installed.
Package ruby-devel - 1.8.5-5.el5_2.6.x86_64 is already installed.
Package rubygems - 0.9.2-1.el5.noarch is already installed.
Package perl-XML-Simple - 2.14-4.fc6.noarch is already installed.
Package perl-XML-Simple - 2.14-4.fc6.noarch is already installed.
Package perl-Crypt-SSLeay - 0.51-11.el5.x86_64 is already installed.
Nothing to do
INFO - 2008-12-24 01:56:34 - /usr/bin/yum -y -d 2 install bind bind-utils caching-nameserver httpd postfix bind spamassassin procmail perl-DBD-Pg perl-DBD-MySQL quota iptables openssl python mailman subversion mysql mysql-server mysql-devel postgresql postgresql-server rh-postgresql rh-postgresql-server logrotate webalizer php php-domxl php-gd php-imap php-mysql php-odbc php-pear php-pgsql php-snmp php-xmlrpc php-mbstring mod_perl mod_python cyrus-sasl dovecot spamassassin mod_dav_svn cyrus-sasl-gssapi mod_ssl ruby ruby-devel rubygems perl-XML-Simple perl-Crypt-SSLeay: Succeeded.
INFO - 2008-12-24 01:56:34 - Succeeded.
INFO - 2008-12-24 01:56:34 - Installing Virtualmin and all related packages now using the command:
INFO - 2008-12-24 01:56:34 - yum -y -d 2 install virtualmin-base
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
–> Running transaction check
—> Package virtualmin-base.noarch 0:1.0-61.rh set to be updated
–> Processing Dependency: procmail-wrapper for package: virtualmin-base
–> Processing Dependency: usermin >= 1.160 for package: virtualmin-base
–> Processing Dependency: wbm-virtualmin-awstats for package: virtualmin-base
–> Processing Dependency: wbm-virtualmin-svn for package: virtualmin-base
–> Processing Dependency: wbm-security-updates for package: virtualmin-base
–> Processing Dependency: proftpd for package: virtualmin-base
–> Processing Dependency: wbt-virtual-server-theme for package: virtualmin-base
–> Processing Dependency: wbm-virtualmin-htpasswd for package: virtualmin-base
–> Processing Dependency: wbm-virtual-server for package: virtualmin-base
–> Processing Dependency: webmin >= 1.334 for package: virtualmin-base
–> Processing Dependency: wbm-virtualmin-dav for package: virtualmin-base
–> Processing Dependency: /usr/bin/freshclam for package: virtualmin-base
–> Processing Dependency: /usr/sbin/clamd for package: virtualmin-base
–> Processing Dependency: scponly for package: virtualmin-base
–> Processing Dependency: awstats for package: virtualmin-base
–> Processing Dependency: ust-virtual-server-theme for package: virtualmin-base
–> Processing Dependency: wbm-virtualmin-registrar for package: virtualmin-base
–> Processing Dependency: cyrus-sasl-md5 for package: virtualmin-base
–> Processing Dependency: wbm-virtualmin-mailman for package: virtualmin-base
–> Processing Dependency: wbt-virtual-server-mobile for package: virtualmin-base
–> Processing Dependency: wbm-ruby-gems for package: virtualmin-base
–> Processing Dependency: clamav for package: virtualmin-base
–> Processing Dependency: wbm-php-pear for package: virtualmin-base
–> Processing Dependency: wbm-virtualmin-init for package: virtualmin-base
–> Processing Dependency: mod_fcgid for package: virtualmin-base
–> Running transaction check
—> Package wbm-virtual-server.noarch 0:3.64.gpl-2 set to be updated
—> Package wbm-security-updates.noarch 2:3.1-1 set to be updated
—> Package wbm-virtualmin-dav.noarch 2:2.9-1 set to be updated
—> Package wbm-php-pear.noarch 2:1.2-1 set to be updated
—> Package webmin.noarch 0:1.441-1 set to be updated
—> Package wbm-virtualmin-awstats.noarch 2:3.9-1 set to be updated
—> Package scponly.x86_64 0:4.6-1.vm set to be updated
—> Package wbm-virtualmin-svn.noarch 2:3.7-1 set to be updated
—> Package procmail-wrapper.x86_64 0:1.0-1.vm set to be updated
—> Package wbm-virtualmin-mailman.noarch 2:5.2-1 set to be updated
—> Package mod_fcgid.x86_64 0:2.2-1.el5.vm set to be updated
—> Package clamav-server.x86_64 0:0.94-3vm.el5 set to be updated
–> Processing Dependency: data(clamav) for package: clamav-server
–> Processing Dependency: libclamav.so.5()(64bit) for package: clamav-server
–> Processing Dependency: libclamav.so.5(CLAMAV_PUBLIC)(64bit) for package: clamav-server
–> Processing Dependency: clamav-lib = 0.94-3vm.el5 for package: clamav-server
–> Processing Dependency: init(clamav-server) for package: clamav-server
–> Processing Dependency: clamav-filesystem = 0.94-3vm.el5 for package: clamav-server
–> Processing Dependency: libclamav.so.5(CLAMAV_PRIVATE)(64bit) for package: clamav-server
—> Package ust-virtual-server-theme.noarch 2:6.5-1 set to be updated
—> Package clamav-update.x86_64 0:0.94-3vm.el5 set to be updated
—> Package awstats.noarch 0:6.8-1.el5 set to be updated
—> Package wbt-virtual-server-theme.noarch 2:6.5-2 set to be updated
—> Package proftpd.x86_64 0:1.3.0a-3el5 set to be updated
—> Package clamav.x86_64 0:0.94-3vm.el5 set to be updated
—> Package wbm-virtualmin-init.noarch 2:2.0-1 set to be updated
—> Package cyrus-sasl-md5.x86_64 0:2.1.22-4 set to be updated
—> Package wbm-virtualmin-registrar.noarch 2:1.8-1 set to be updated
—> Package wbm-virtualmin-htpasswd.noarch 2:1.8-1 set to be updated
—> Package wbt-virtual-server-mobile.noarch 2:1.9-1 set to be updated
—> Package wbm-ruby-gems.noarch 2:1.0-1 set to be updated
—> Package usermin.noarch 0:1.370-1 set to be updated
–> Running transaction check
—> Package clamav-server-sysv.x86_64 0:0.94-3vm.el5 set to be updated
—> Package clamav-data.x86_64 0:0.94-3vm.el5 set to be updated
—> Package clamav-filesystem.x86_64 0:0.94-3vm.el5 set to be updated
–> Processing Dependency: fedora-usermgmt for package: clamav-filesystem
—> Package clamav-lib.x86_64 0:0.94-3vm.el5 set to be updated
–> Running transaction check
—> Package fedora-usermgmt.noarch 0:0.9-1.el5 set to be updated
–> Processing Dependency: setup(fedora-usermgmt) for package: fedora-usermgmt
–> Processing Dependency: fedora-usermgmt-core = 0.9-1.el5 for package: fedora-usermgmt
–> Processing Dependency: instance(fedora-usermgmt) for package: fedora-usermgmt
–> Running transaction check
—> Package fedora-usermgmt-core.noarch 0:0.9-1.el5 set to be updated
—> Package fedora-usermgmt-setup.noarch 0:0.8-1 set to be updated
—> Package fedora-usermgmt-shadow-utils.noarch 0:0.9-1.el5 set to be updated
–> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
Package Arch Version Repository Size

Installing:
virtualmin-base noarch 1.0-61.rh virtualmin 27 k
Installing for dependencies:
awstats noarch 6.8-1.el5 virtualmin 1.2 M
clamav x86_64 0.94-3vm.el5 virtualmin 680 k
clamav-data x86_64 0.94-3vm.el5 virtualmin 17 M
clamav-filesystem x86_64 0.94-3vm.el5 virtualmin 17 k
clamav-lib x86_64 0.94-3vm.el5 virtualmin 749 k
clamav-server x86_64 0.94-3vm.el5 virtualmin 67 k
clamav-server-sysv x86_64 0.94-3vm.el5 virtualmin 17 k
clamav-update x86_64 0.94-3vm.el5 virtualmin 67 k
cyrus-sasl-md5 x86_64 2.1.22-4 base 46 k
fedora-usermgmt noarch 0.9-1.el5 virtualmin 6.7 k
fedora-usermgmt-core noarch 0.9-1.el5 virtualmin 7.7 k
fedora-usermgmt-setup noarch 0.8-1 virtualmin 5.6 k
fedora-usermgmt-shadow-utils noarch 0.9-1.el5 virtualmin 7.4 k
mod_fcgid x86_64 2.2-1.el5.vm virtualmin 124 k
procmail-wrapper x86_64 1.0-1.vm virtualmin 4.8 k
proftpd x86_64 1.3.0a-3el5 virtualmin 1.0 M
scponly x86_64 4.6-1.vm virtualmin 24 k
usermin noarch 1.370-1 virtualmin-universal 5.8 M
ust-virtual-server-theme noarch 2:6.5-1 virtualmin-universal 2.2 M
wbm-php-pear noarch 2:1.2-1 virtualmin-universal 14 k
wbm-ruby-gems noarch 2:1.0-1 virtualmin-universal 13 k
wbm-security-updates noarch 2:3.1-1 virtualmin-universal 28 k
wbm-virtual-server noarch 3.64.gpl-2 virtualmin-universal 1.2 M
wbm-virtualmin-awstats noarch 2:3.9-1 virtualmin-universal 28 k
wbm-virtualmin-dav noarch 2:2.9-1 virtualmin-universal 16 k
wbm-virtualmin-htpasswd noarch 2:1.8-1 virtualmin-universal 14 k
wbm-virtualmin-init noarch 2:2.0-1 virtualmin-universal 23 k
wbm-virtualmin-mailman noarch 2:5.2-1 virtualmin-universal 40 k
wbm-virtualmin-registrar noarch 2:1.8-1 virtualmin-universal 59 k
wbm-virtualmin-svn noarch 2:3.7-1 virtualmin-universal 38 k
wbt-virtual-server-mobile noarch 2:1.9-1 virtualmin-universal 69 k
wbt-virtual-server-theme noarch 2:6.5-2 virtualmin-universal 2.2 M
webmin noarch 1.441-1 virtualmin-universal 14 M

Transaction Summary

Install 34 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 47 M
Downloading Packages:
FATAL - 2008-12-24 02:03:15 - Fatal Error Occurred: Installation failed: 0
FATAL - 2008-12-24 02:03:15 - Cannot continue installation.
FATAL - 2008-12-24 02:03:15 - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - 2008-12-24 02:03:15 - re-attempted after any problems have been resolved.
FATAL - 2008-12-24 02:03:15 - Removing temporary directory and files.
FATAL - 2008-12-24 02:03:15 - If you are unsure of what went wrong, you may wish to review the log
FATAL - 2008-12-24 02:03:15 - in /root/virtualmin-install.log

Hmm, it’s unfortunately not apparent what’s going on there.

The installation process creates a log file in /root/virtualmin-install.log.

Could you open a support ticket (using the Bugs and Issues button below), and attach the virtualmin-install.log file to the ticket?

Thanks!
-Eric

is this on a VPS and has it enough RAM?